ranges::actions::adjacent_remove_if_fn Struct Reference

## Synopsis of methods

constexpr adjacent_remove_if_fn | adjacent_remove_if {}

## Public Member Functions

template<typename Pred , typename Proj = identity>
constexpr auto | operator() (Pred pred, Proj proj={}) const requires(!range< Pred >)
template<typename Rng , typename Pred , typename Proj = identity>
auto | operator() (Rng &&rng, Pred pred, Proj proj={}) const -> Rng requires forward_range< Rng > &&erasable_range< Rng, iterator_t< Rng >, sentinel_t< Rng >> &&indirect_relation< Pred, projected< iterator_t< Rng >, Proj >> &&permutable< iterator_t< Rng >>

## Methods

## adjacent_remove_if

constexpr adjacent_remove_if_fn adjacent_remove_if {}

related